const SUBJECT: &str = "bet.beteran.ss.member";
const EVENT_SUBJECT: &str = "bet.beteran.ss_event.member";

pub const SUBJECT_CREATE_MEMBER: &str = const_format::concatcp!(SUBJECT, ".CreateMember");
pub const SUBJECT_LIST_MEMBERS: &str = const_format::concatcp!(SUBJECT, ".ListMembers");
pub const SUBJECT_GET_MEMBER: &str = const_format::concatcp!(SUBJECT, ".GetMember");
pub const SUBJECT_GET_MEMBER_BY_USERNAME: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberByUsername");
pub const SUBJECT_UPDATE_MEMBER: &str = const_format::concatcp!(SUBJECT, ".UpdateMember");
pub const SUBJECT_UPDATE_MEMBER_FOR_STATE: &str =
  const_format::concatcp!(SUBJECT, ".UpdateMemberForState");
pub const SUBJECT_DELETE_MEMBER: &str = const_format::concatcp!(SUBJECT, ".DeleteMember");

pub const EVENT_SUBJECT_AFTER_CREATE_MEMBER: &str =
  const_format::concatcp!(EVENT_SUBJECT, ".AfterCreateMember");
pub const EVENT_SUBJECT_AFTER_UPDATE_MEMBER: &str =
  const_format::concatcp!(EVENT_SUBJECT, ".AfterUpdateMember");
pub const EVENT_SUBJECT_AFTER_DELETE_MEMBER: &str =
  const_format::concatcp!(EVENT_SUBJECT, ".AfterDeleteMember");

/// subject = bet.beteran.ss.member.CreateMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_request::Request>,
}
/// Nested message and enum types in `CreateMemberRequest`.
pub mod create_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub site_id: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub member_class_id: ::prost::alloc::string::String,
    #[prost(string, tag = "3")]
    pub member_level_id: ::prost::alloc::string::String,
    #[prost(string, optional, tag = "4")]
    pub referrer_member_username: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, tag = "5")]
    pub username: ::prost::alloc::string::String,
    #[prost(string, tag = "6")]
    pub password: ::prost::alloc::string::String,
    #[prost(string, tag = "7")]
    pub nickname: ::prost::alloc::string::String,
    #[prost(string, optional, tag = "8")]
    pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "9")]
    pub bank_account: ::core::option::Option<request::BankAccount>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct BankAccount {
      #[prost(string, tag = "1")]
      pub bank_id: ::prost::alloc::string::String,
      #[prost(string, tag = "2")]
      pub name: ::prost::alloc::string::String,
      #[prost(string, tag = "3")]
      pub account_number: ::prost::alloc::string::String,
      #[prost(string, tag = "4")]
      pub exchange_password: ::prost::alloc::string::String,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_response::Result>,
}
/// Nested message and enum types in `CreateMemberResponse`.
pub mod create_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.ListMembers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_members_request::Request>,
}
/// Nested message and enum types in `ListMembersRequest`.
pub mod list_members_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub site_id: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "2")]
      pub member_class_id: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "3")]
      pub member_level_id: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "4")]
      pub parent_member_id: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "5")]
      pub username_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "6")]
      pub nickname_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "7")]
      pub mobile_phone_number_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "8")]
      pub last_signined_ip: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(
        enumeration = "crate::models::member::MemberState",
        optional,
        tag = "9"
      )]
      pub state: ::core::option::Option<i32>,
      #[prost(uint64, optional, tag = "10")]
      pub deleted_at: ::core::option::Option<u64>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_members_response::Result>,
}
/// Nested message and enum types in `ListMembersResponse`.
pub mod list_members_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub members: ::prost::alloc::vec::Vec<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.GetMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_request::Request>,
}
/// Nested message and enum types in `GetMemberRequest`.
pub mod get_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_response::Result>,
}
/// Nested message and enum types in `GetMemberResponse`.
pub mod get_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.GetMemberByUsername
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_by_username_request::Request>,
}
/// Nested message and enum types in `GetMemberByUsernameRequest`.
pub mod get_member_by_username_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub username: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_by_username_response::Result>,
}
/// Nested message and enum types in `GetMemberByUsernameResponse`.
pub mod get_member_by_username_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.UpdateMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_request::Request>,
}
/// Nested message and enum types in `UpdateMemberRequest`.
pub mod update_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, optional, tag = "2")]
    pub site_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub member_level_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "4")]
    pub password: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "6")]
    pub bank_account: ::core::option::Option<request::BankAccount>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct BankAccount {
      #[prost(string, tag = "1")]
      pub id: ::prost::alloc::string::String,
      #[prost(string, tag = "2")]
      pub bank_id: ::prost::alloc::string::String,
      #[prost(string, tag = "3")]
      pub name: ::prost::alloc::string::String,
      #[prost(string, tag = "4")]
      pub account_number: ::prost::alloc::string::String,
      #[prost(string, tag = "5")]
      pub exchange_password: ::prost::alloc::string::String,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_response::Result>,
}
/// Nested message and enum types in `UpdateMemberResponse`.
pub mod update_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.UpdateMemberForState
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberForStateRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_for_state_request::Request>,
}
/// Nested message and enum types in `UpdateMemberForStateRequest`.
pub mod update_member_for_state_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(enumeration = "crate::models::member::MemberState", tag = "2")]
    pub state: i32,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberForStateResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_for_state_response::Result>,
}
/// Nested message and enum types in `UpdateMemberForStateResponse`.
pub mod update_member_for_state_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss.member.DeleteMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_request::Request>,
}
/// Nested message and enum types in `DeleteMemberRequest`.
pub mod delete_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_response::Result>,
}
/// Nested message and enum types in `DeleteMemberResponse`.
pub mod delete_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
/// subject = bet.beteran.ss_event.member.AfterCreateMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AfterCreateMemberEvent {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub event: ::core::option::Option<after_create_member_event::Event>,
}
/// Nested message and enum types in `AfterCreateMemberEvent`.
pub mod after_create_member_event {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Event {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss_event.member.AfterUpdateMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AfterUpdateMemberEvent {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub event: ::core::option::Option<after_update_member_event::Event>,
}
/// Nested message and enum types in `AfterUpdateMemberEvent`.
pub mod after_update_member_event {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Event {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
/// subject = bet.beteran.ss_event.member.AfterDeleteMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AfterDeleteMemberEvent {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub event: ::core::option::Option<after_delete_member_event::Event>,
}
/// Nested message and enum types in `AfterDeleteMemberEvent`.
pub mod after_delete_member_event {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Event {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
